/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.1
 *
 * @date        2024-03-29
 *
 * @attention
 *
 *  Copyright (C) 2022-2024 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes */
#include "board.h"
#include "apm32f035_gpio.h"
#include "apm32f035_misc.h"
#include "apm32f035_eint.h"
#include "apm32f035_rcm.h"

/** @addtogroup Examples
  @{
  */

/** @addtogroup IAP_Application1
  @{
  */

/** @defgroup IAP_Application1_Macros Macros
  @{
*/
#define VECT_TAB_OFFSET                     0x08004000
/**@} end of group IAP_Application1_Macros*/

/** @defgroup IAP_Application1_Variables Variables
  @{
  */
extern uint32_t sysTick;
/**@} end of group IAP_Application1_Variables*/
/**@} end of group IAP_Application1 */
/**@} end of group Examples */

#ifdef __cplusplus
}
#endif

#endif
